vplane-config (2.101.5) unstable; urgency=medium

  [ ck407g ]
  * Operational state data model for SFP permit list
  * Added 'Permit list status' field

 -- Srinivas Narayan <narayan@vyatta.att-mail.com>  Mon, 22 Nov 2021 09:39:16 +0000

vplane-config (2.101.4) unstable; urgency=medium

  [ Gavin Shearer ]
  * Fix issue of pause-frame info not filtered out
  * Don't show the "Link detected" line output by ethtool

 -- Srinivas Narayan <narayan@vyatta.att-mail.com>  Tue, 26 Oct 2021 12:00:49 +0100

vplane-config (2.101.3) unstable; urgency=medium

  [ Cian O'Sullivan ]
  * Fix sfp permit list config message handling

 -- Srinivas Narayan <narayan@vyatta.att-mail.com>  Wed, 06 Oct 2021 10:10:54 +0100

vplane-config (2.101.2) unstable; urgency=medium

  [ Cian O'Sullivan ]
  * sfp-permit-list: Enforcement rework

 -- Srinivas Narayan <narayan@vyatta.att-mail.com>  Fri, 24 Sep 2021 10:29:24 +0100

vplane-config (2.101.1) unstable; urgency=medium

  [ kalaivani vinothkumar ]
  * FlowMon: MAC Address format not in uniform format

  [ Thomas Kiely ]
  * Fix keyError in show_arp_all

 -- Srinivas Narayan <narayan@vyatta.att-mail.com>  Fri, 24 Sep 2021 09:55:40 +0100

vplane-config (2.101) unstable; urgency=medium

  * perltidy run on all perl files in the repository
  * Fix all python warnings detected by flake8
  * Include style checks in package build

 -- Srinivas Narayan <narayan@vyatta.att-mail.com>  Wed, 01 Sep 2021 09:28:22 +0100

vplane-config (2.100) unstable; urgency=medium

  [ Cian O'Sullivan ]
  * Sort the order of SFPs by interface name

  [ Srinivas Narayan ]
  * Add Jenkinsfile and associated scripts

  [ ck407g ]
  * Fix for the delete system sfp exception

  [ Cian O'Sullivan ]
  * Import dataplane library

  [ ck407g ]
  * Changes to make vendor optional

  [ Mark Gillott ]
  * changelog: reduced length of commit message (Fixes: VRVDR-55841)
  * lintian: update control file in order to resolve some warnings
    (Fixes: VRVDR-55841)

  [ Cian O'Sullivan ]
  * Fix SFP permit list being unsorted for double digits

  [ kalaivani vinothkumar ]
  * Added must to restrict mtu if not default for IPv6

  [ ck407g ]
  * Code tidy-up changes
  * Part IDs merge with vendor names

  [ Cian O'Sullivan ]
  * Revert SFP name field to vendor
  * Fix enforcement mode being shown despite being in monitor mode

  [ kalaivani vinothkumar ]
  * Update constraint to not allow ipv6 and mtu

  [ ck407g ]
  * Remove sfp state after SFP node delete operations

  [ Cian O'Sullivan ]
  * Show dataplane monitoring debug flags
  * Use boot enforcement delay for identifying SFP permit list mode
  * Revert "Fix enforcement mode being shown despite being in monitor mode"

  [ kalaivani vinothkumar ]
  * Backplane interface counters are not cleared

  [ Thomas Kiely ]
  * Only generate whole interface stats if present
  * Only print parent interface stats if present

  [ ck407g ]
  * Changed activation delay to start after the boot sfpd sweep

  [ Daniel Gollub ]
  * vplane-cpumask: drop unused show isolated command
  * vplane-cpumask: drop unused show control cpumask command
  * vplane-cpumask: drop unused fabric code
  * vplane-cpumask: remove unused irq update stub
  * vplane-cpumask: remove unused show cpumask command
  * vplane-cpumask: rewrite in python3
  * vplane-cpumask: generate control thread cpumasks
  * yang: update organization in vyatta-system-dataplane-v1
  * yang: introduce "system dataplane control" cpu-affinity settings

  [ ck407g ]
  * Remove activation delay

 -- Srinivas Narayan <narayan@vyatta.att-mail.com>  Thu, 26 Aug 2021 11:52:04 +0100

vplane-config (2.99) unstable; urgency=medium

  [ kalaivani vinothkumar ]
  * Added missing help text for the sfp enforcement

  [ ck407g ]
  * Added revision statement for the changes related to show dataplane arp

  [ Cian O'Sullivan ]
  * Prevent TypeError when no SFP config exists

 -- Srinivas Narayan <narayan@vyatta.att-mail.com>  Thu, 22 Jul 2021 13:23:41 +0100

vplane-config (2.98) unstable; urgency=medium

  [ Thomas Kiely ]
  * Remove spurious "url=" prefix for sfpd_monitor

  [ Cian O'Sullivan ]
  * Remove square braces from SFP mode output
  * Remove histogram output line
  * Respect ICMP statistics output format

  [ ck407g ]
  * YANG conversion of ARP operational commands

 -- Srinivas Narayan <narayan@vyatta.att-mail.com>  Mon, 19 Jul 2021 13:41:06 +0100

vplane-config (2.97) unstable; urgency=medium

  [ Simon Barber ]
  * Yang: system sfp root container
  * Add SFP permit-list yang
  * SFP permit list config processing script
  * sfp permit list  installation script
  * sfp permit list dataplane.conf config
  * Add dataplane dependency on sfp yang package
  * Add SFP yang opd file
  * OPD: Add output processing script
  * Add platform deviation for sfp-permit-list

  [ kalaivani vinothkumar ]
  * Add op mode yang package for SFP permit list

 -- Srinivas Narayan <narayan@vyatta.att-mail.com>  Tue, 13 Jul 2021 13:37:26 +0100

vplane-config (2.96) unstable; urgency=medium

  [ ck407g ]
  * Added 'Valid dynamic or static ARP entries added|deleted' to dataplane arp statistics
  * Added directpath forwarding and number of RXQ and TXQ info to 'show dataplane' output.
  * Python conversion of legacy code in vplane-arp.pl

 -- Srinivas Narayan <narayan@vyatta.att-mail.com>  Fri, 25 Jun 2021 14:23:03 +0100

vplane-config (2.95) unstable; urgency=medium

  [ William Ivory ]
  * Add more efficient VIF VLAN validation

 -- Srinivas Narayan <narayan@vyatta.att-mail.com>  Mon, 26 Apr 2021 10:50:43 +0100

vplane-config (2.94) unstable; urgency=medium

  [ Pim van Pelt ]
  * Update vyatta-interfaces-dataplane-v1.yang

 -- Srinivas Narayan <narayan@vyatta.att-mail.com>  Mon, 19 Apr 2021 15:04:45 +0100

vplane-config (2.93) unstable; urgency=medium

  [ Nicholas Brown ]
  * Build-depend on libxtables-dev instead of iptables-dev

  [ Daniel Gollub ]
  * Drop unused DataplanePunt perl module

  [ Paul Aitken ]
  * Fix incorrect YANG descriptions

 -- Srinivas Narayan <narayan@vyatta.att-mail.com>  Fri, 19 Mar 2021 20:03:07 +0000

vplane-config (2.92) unstable; urgency=medium

  [ Daniel Gollub ]
  * xfrm: add default ZMQ IPC sockets for XFRM interface

  [ Thomas Kiely ]
  * Storm Ctl J2: Add feature enable

  [ Daniel Gollub ]
  * vplane-cfg: update xfrm_section on image upgrades

  [ Sameer Agrawal ]
  * Fix to display the physical settings of the interface. Fixes VRVDR-54161

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Mon, 08 Feb 2021 18:34:14 +0000

vplane-config (2.91) unstable; urgency=medium

  [ Ramkumar Ganapathysubramanian ]
  * Fix warn-link-speed script to avoid unnecessary speed warning

  [ Mike Manning ]
  * Remove script for config of parameters for ND in the dataplane
  * Include cache limit and OOM hits in statistics for ARP

  [ Ian Wilson ]
  * Added command "show dataplane feature"

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Fri, 11 Dec 2020 11:41:30 +0000

vplane-config (2.90) unstable; urgency=medium

  [ Shweta Choudaha ]
  * backplane: Add s9500-30xs yang deviation package
  * control : Fix pkg name to use '-' correctly
  * backplane: Fix the install package name

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Sat, 05 Dec 2020 00:09:46 +0000

vplane-config (2.89) unstable; urgency=medium

  [ Shweta Choudaha ]
  * backplane: show command support for s9500-30xs

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Thu, 03 Dec 2020 09:23:52 +0000

vplane-config (2.88) unstable; urgency=medium

  [ Pooja Chauhan ]
  * Platform: Support for IPI Model platforms

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Thu, 26 Nov 2020 11:59:27 +0000

vplane-config (2.87) unstable; urgency=medium

  [ Karthik Murugesan ]
  * vyatta-cfg-dataplane: Clear dataplane ext counters

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Thu, 19 Nov 2020 13:40:05 +0000

vplane-config (2.86) unstable; urgency=medium

  [ Paul Atkins ]
  * debian: set dependency on vyatta-interfaces-base

  [ Robert Shearman ]
  * yang: add support for configuring per-vif storm control
  * yang: add support for operational commands for per-vif storm control
    (Closes: VRVDR-53560)
  * yang: fix help string for storm control policies interface op-mode command
  * debian: update copyrights

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Thu, 19 Nov 2020 13:36:23 +0000

vplane-config (2.85) unstable; urgency=medium

  [ Paul Atkins ]
  * yang: clarify the description of the eth-info rpc
  * yang: add a platform-state leaf to the eth-info-grp
  * EthernetInfo: rename get_pause_into to get_ether_info
  * EthernetInfo: Add platform state to the ether_info
  * vyatta-op-transceiver: run perltidy -ce on file
  * vyatta-op-transceiver: pull the code to show transceiver into new routine
  * vyatta-op-transceiver: rename action_show_pause_info
  * vyatta-op-transceiver: show the platform state
  * DataplaneStats: run perltidy -ce on file
  * DataplaneStats: pass $sock to the dataplane if iterator cb funcs
  * Add the platform State to the dataplane vif interface output
  * vyatta-op-transceiver: rename to vyatta-op-ethernet

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Thu, 19 Nov 2020 11:42:42 +0000

vplane-config (2.84) unstable; urgency=medium

  [ Paul Atkins ]
  * yang: add an initial revision statement to the ethernet-info file

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Thu, 12 Nov 2020 08:40:26 +0000

vplane-config (2.83) unstable; urgency=medium

  [ Shweta Choudaha ]
  * backplane: Push to report only if populated

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Tue, 03 Nov 2020 13:49:58 +0000

vplane-config (2.82) unstable; urgency=medium

  [ Robert Shearman ]
  * vplane-route: use dataplane command for showing one MPLS route
  * yang: add observability for mpls-route object state counts
    (Closes: VRVDR-53194)
  * scripts: accept full filter in show-platform-dataplane

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Fri, 23 Oct 2020 14:46:22 +0100

vplane-config (2.81) unstable; urgency=medium

  [ Karthik Murugesan ]
  * vyatta-cfg-dataplane: Clear dataplane ext counters

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Thu, 22 Oct 2020 18:31:14 +0100

vplane-config (2.80) unstable; urgency=medium

  [ Karthik Murugesan ]
  * vyatta-cfg-dataplane: Clear dataplane ext counters

  [ Simon Barber ]
  * Allow affinity rpc yang to return null strings

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Mon, 19 Oct 2020 08:17:31 +0100

vplane-config (2.79) unstable; urgency=medium

  [ bs775m ]
  * vyatta-cfg : realigning pause mode show output.

  [ Simon Barber ]
  *  Add rpc yang file dependencies and break circular dependencies

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Wed, 23 Sep 2020 21:39:17 +0100

vplane-config (2.78) unstable; urgency=medium

  [ Paul Atkins ]
  * vplane-affinity: call the affinity script from yang with correct args

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Wed, 16 Sep 2020 11:53:58 +0100

vplane-config (2.77) unstable; urgency=medium

  [ Mike Manning ]
  * Output of static entries in ARP table has changed

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Thu, 03 Sep 2020 08:17:29 +0100

vplane-config (2.76) unstable; urgency=medium

  [ Mike Manning ]
  * Kernel neighbor missing in show arp when there is no dataplane neighbor
  * Behavior change in show arp output

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Thu, 27 Aug 2020 16:15:42 +0100

vplane-config (2.75) unstable; urgency=medium

  [ Charles (Chas) Williams ]
  * transceiver: convert 0mw to -40 dBm (Bugfix: VRVDR-52698)

  [ Nachiketa Prachanda ]
  * libgo: update error handling
  * libgo: add dataplane command api in go

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Tue, 25 Aug 2020 17:28:59 +0100

vplane-config (2.74) unstable; urgency=medium

  [ Daniel Gollub ]
  * xt-bypass: package header files

  [ bs775m ]
  * vyatta-cfg :add revision statement for pause feature.

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Mon, 24 Aug 2020 16:43:57 +0100

vplane-config (2.73) unstable; urgency=medium

  [ bs775m ]
  * vyatta-cfg :add support for enb/dis pause frame.

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Thu, 13 Aug 2020 17:22:35 +0100

vplane-config (2.72) unstable; urgency=medium

  [ Simon Barber ]
  * Run cmds at a privileged level

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Fri, 07 Aug 2020 15:38:01 +0100

vplane-config (2.71) unstable; urgency=medium

  [ Simon Barber ]
  * Add  slowpath Data model RPC to Yang
  * Add Backend files to retrieve slowpath info
  * Add Front end script for slowpath info display
  * Modify affinity backend script
  * Add Front end for show int dataplane <bhar> affinity
  * Add Backend script to blink an interface LED
  * Add Front end script to blink a port LED
  * Add installation destination info

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Wed, 05 Aug 2020 13:37:17 +0100

vplane-config (2.70) unstable; urgency=medium

  [ bs775m ]
  * yang: set system dataplane wrongly shown in CLI.

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Mon, 03 Aug 2020 10:20:50 +0100

vplane-config (2.69) unstable; urgency=medium

  [ Robert Shearman ]
  * yang: correct transceiver data model to allow SFF-8472 vendor-rev
    (Fixes: VRVDR-50359)

  [ Charles (Chas) Williams ]
  * dataplanestats: show link even if down (Bugfix: VRVDR-51949)

  [ Ian Wilson ]
  * Change "show dataplane statistics" from node.def to yang
  * Add a "clear dataplane statistics" yang command

  [ Mike Manning ]
  * Privilege escalation in "reset ipv6 neighbors" / "reset ip arp" commands

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Wed, 22 Jul 2020 13:08:25 +0100

vplane-config (2.68) unstable; urgency=medium

  [ Nachiketa Prachanda ]
  * yang: guard interfaces backplane with if-feature

  [ Robert Shearman ]
  * vplane-route: display backup nexthop attribute

  [ Paul Atkins ]
  * cpumask: don't print the cpu mask after setting the cpus

  [ Robert Shearman ]
  * vplaned.py: fix use of protobufs in store (Fixes: VRVDR-51327)
  * vplaned.py: fix style issues

  [ Tom Kiely ]
  * mac limiting configuration

  [ Nachiketa Prachanda ]
  * lib: add vplane_exec_pb_cmd

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Tue, 02 Jun 2020 13:36:18 +0100

vplane-config (2.67) unstable; urgency=medium

  [ Sameer Agrawal ]
  * Move the warn-link-speed script from being run on each interface i separately to being run once and looping over all interfaces. Fixes VRVDR-50262

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Fri, 01 May 2020 17:52:40 +0100

vplane-config (2.66) unstable; urgency=medium

  [ Paul Carson ]
  * Ensure tcp-mss config is replayed (Fixes: VRVDR-43273)
  * Add tcp-mss to PPPoE interfaces (Closes: VRVDR-43273)

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Tue, 28 Apr 2020 18:22:45 +0100

vplane-config (2.65) unstable; urgency=medium

  [ John Southworth ]
  * vplaned client go library license information

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Fri, 03 Apr 2020 11:58:01 +0100

vplane-config (2.64) unstable; urgency=medium

  [ Robert Shearman ]
  * platform: add support for breakout on AS5916-54XKS platform

  [ William Ivory ]
  * Reduce time taken for interface breakout validation (Closes: VRVDR-50258)

  [ Srinivas Narayan ]

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Thu, 12 Mar 2020 12:33:45 +0000

vplane-config (2.63) unstable; urgency=medium

  [ Robert Shearman ]
  * yang: add breakout-reserved interface to cstore for Apollo NCP1-1 platform
    (Fixes: VRVDR-49850)
  * debian: remove vyatta-dataplane-cfg-breakout-0 dependency

  [ Srinivas Narayan ]

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Fri, 28 Feb 2020 12:22:25 +0000

vplane-config (2.62) unstable; urgency=medium

  [ Mark Gillott ]
  * Adjust the minimum capture size from 0 to 1 (Fixes: VRVDR-50066)
  * The software-only keyword is a command, not an option (Fixes: VRVDR-50122)

  [ Srinivas Narayan ]

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Fri, 28 Feb 2020 09:12:22 +0000

vplane-config (2.61) unstable; urgency=medium

  [ Robert Shearman ]
  * transceiver: fix display of transceiver info for QSFPs (Fixes: VRVDR-50027)

  [ Srinivas Narayan ]

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Wed, 19 Feb 2020 09:30:28 +0000

vplane-config (2.60) unstable; urgency=medium

  [ ck487r ]
  * BCM: Update the backplane stats JSON parser

  [ Srinivas Narayan ]

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Tue, 18 Feb 2020 15:41:46 +0000

vplane-config (2.59) unstable; urgency=medium

  [ Paul Carson ]
  * Prevent reference to undefined diag_type

  [ Srinivas Narayan ]

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Tue, 18 Feb 2020 15:40:20 +0000

vplane-config (2.58) unstable; urgency=medium

  [ Philip Downey ]
  * SIAD: Allow speed 'auto' on PM25 interfaces (Fixes: VRVDR-49705)
  * SIAD: Link speed restriction validation warning message (Fixes: VRVDR-49705)

  [ Srinivas Narayan ]

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Tue, 04 Feb 2020 12:31:10 +0000

vplane-config (2.57) unstable; urgency=medium

  [ Ramkumar Ganapathysubramanian ]
  * transceiver: Fix display of transceivers for copper SFPs. VRVDR-48090 Description: 'show interfaces dataplane dp0xe9 phy' displays an error message 'Failed to process returned data: Error: /transceiver-info/physical-channels/channel/0/output-power/:  is not a decimal64  at /opt/vyatta/share/perl5/Vyatta/Configd.pm line 208.' Root Cause: In the script to fecth the eeprom information for the SFP, the check for identifying the SFP identifier was incorrect and hence even for SFP cards which does not support Diagnostic monitoring support it tries to fecth the diagnostinc information and fails. In this case the identifier was 'SFP/SFP+/SFP28' while in the code we try to check for 'SFP' or 'SFP+' or 'SFP28' rather than searching for a substring. Fix: Modified the check such that indentifier in the EEPROM matches the expected SFP correctly.

  [ Paul Atkins ]
  * Add a new 'show dataplane feature plugin' commands

  [ Mark Gillott ]
  * Add support for hardware packet captured (Fixes: VRVDR-40983)

  [ Srinivas Narayan ]

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Mon, 03 Feb 2020 10:39:11 +0000

vplane-config (2.56) unstable; urgency=medium

  [ John Southworth ]
  * C++ bindings for vplaned client
  * Go bindings for vplaned client

  [ Srinivas Narayan ]

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Thu, 23 Jan 2020 16:40:39 +0000

vplane-config (2.55) unstable; urgency=medium

  [ Philip Downey ]
  * Yang deviation for interface link speed on SIAD platform
    (Fixes: VRVDR-44331)

  [ Srinivas Narayan ]

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Thu, 16 Jan 2020 09:45:34 +0000

vplane-config (2.54) unstable; urgency=medium

  [ Mark Gillott ]
  * Convert "monitor interfaces dataplane traffic" to operational YANG
    (Fixes: VRVDR-49553)

  [ Srinivas Narayan ]

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Wed, 15 Jan 2020 12:13:28 +0000

vplane-config (2.53) unstable; urgency=medium

  [ Mike Manning ]
  * Display uptime/last clear in "show interface dataplane" output

  [ Paul Carson ]
  * Prevent perl uninitialized value error (Closes: VRVDR-47646)

  [ Robert Shearman ]
  * yang: factor out per-interface storm-control container to grouping

  [ Srinivas Narayan ]

 -- Srinivas Narayan <narayan@mail.eng.vyatta.net>  Fri, 10 Jan 2020 17:51:42 +0000

vplane-config (2.52) unstable; urgency=medium
 
  * DANOS Import master

 -- Vyatta Package Maintainers <DL-vyatta-help@att.com>  Wed, 06 Nov 2019 15:53:22 +0000

vplane-config (2.45+danos2) unstable; urgency=medium

  * DANOS Import

 -- Vyatta Package Maintainers <DL-vyatta-help@att.com>  Wed, 06 Nov 2019 15:49:51 +0000
